Subject: Re: bug#5721: Feature request: Function that returns absolute coordinates

From: IRIE Shinsuke <[email-masked]>
Date: Mon, 31 May 2010 19:28:07 +0900

Sorry, I forgot to reply to your question.

> I can understand posn-absolute-x-y and window-absolute-pixel-edges, but can 
> you add some details on what posn-at-absolute-x-y should do?

Umm... I suggest the new frame parameters like `inside-left' and
`inside-top', which show the top left coordinates of an X window
corresponding to `window-id'. See below:

A------------------------+
| File Edit Options ...  |  `left'       => horizontal position of A
+B----------------------++  `top'        => vertical position of A
||                      ||  `inside-left'=> horizontal position of B
||                      ||  `inside-top' => vertical position of B
||                      ||
||-U:**- *scratch* (lisp||
||______________________||
+------------------------+

> I'd rather not introduce another position format that looks like the old, but 
> where pixels are absolute rather than relative.

I believe Emacs should provide some ways to obtain absolute coordinates.
Recently I created ibus.el, which is an IBus client for Emacs, but it
requires the external program to calculate the absolute coordinates of
candidate window...

IRIE Shinsuke